"""
Stubs - A collection of personalized message starters/finishers and functions to
give the bot some personality.
"""

from random import choice


ERROR_STARTS: list[str] = [
    "Hey pal, ",
    "Hey {sender}, ",
    "Uhhhhh, ",
    "Uhhhhh, {sender} ",
    "Nothing doing--",
    "Yeahhh, about that--",
    "Yo {sender}, ",
    "Look here bub, ",
    "Look here {sender}, ",
]


def format_mention(user_id: str) -> str:
    """Creates an HTML stub for beautifying a mention in a message."""
    short_name = user_id.split(":")[0][1:]
    return f'<a href="https://matrix.to/#/{user_id}">{short_name}</a>'


def format_sender(stub: str, sender: str) -> str:
    """Adds the sender's name to the format string in a stub."""
    if "{sender}" in stub:
        return stub.replace("{sender}", format_mention(sender))
    return stub


def get_random_stub(stub_list: list[str], sender: str) -> str:
    """Picks a random stub from a list of your choosing."""
    return format_sender(choice(stub_list), sender)
